{"openapi":"3.1.0","info":{"title":"OLOS API","description":"Repository for Research Datasets","contact":{"email":"admin@olos.swiss"},"license":{"name":"GNU General Public License v2.0 or later","identifier":"GPL-2.0-or-later"},"version":"3.1.6"},"servers":[{"url":"https://admin.olos.swiss","description":"Generated server url"}],"tags":[{"name":"dlcm"}],"paths":{"/preservation-planning/preservation-jobs":{"get":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreservationJob"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{parentid}/executions":{"get":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_list","parameters":[{"name":"completionStatus","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"runNumber","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"startDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["COMPLETED","CREATED","IN_ERROR","IN_PROGRESS","READY"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionJobExecution"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobExecution"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobExecution"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{parentid}/executions/{id}/resume":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{id}/start":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_start","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{id}/resume":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_resume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/search":{"get":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreservationJob"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/initialize":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_initialize","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/aip/delete-cache":{"post":{"tags":["preservation-planning/aip"],"operationId":"preservation-planning_aip_delete-cache_evictCache","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_list","parameters":[{"name":"access","in":"query","description":"The access level of the deposit.","required":false,"schema":{"type":"string","enum":["PUBLIC","RESTRICTED","CLOSED"]}},{"name":"additionalFieldsFormId","in":"query","description":"The additional fields form ID used to generate the additional fields values.","required":false,"schema":{"type":"string"}},{"name":"additionalFieldsValues","in":"query","description":"Some eventual additional fields values generated through an additional fields form.","required":false,"schema":{"type":"string"}},{"name":"archiveTypeId","in":"query","description":"The archive type identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"ark","in":"query","description":"The ARK Identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"collectionBegin","in":"query","description":"The start date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"collectionEnd","in":"query","description":"The end date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"containsUpdatedMetadata","in":"query","description":"If the package contains updated metadata.","required":false,"schema":{"type":"boolean"}},{"name":"contentStructurePublic","in":"query","description":"If the archive structure content is public.","required":false,"schema":{"type":"boolean"}},{"name":"dataSensitivity","in":"query","description":"The data sensitivity of the deposit.","required":false,"schema":{"type":"string","enum":["UNDEFINED","BLUE","GREEN","YELLOW","ORANGE","RED","CRIMSON"]}},{"name":"dataUsePolicy","in":"query","description":"The data use policy of the deposit.","required":false,"schema":{"type":"string","enum":["NONE","LICENSE","CLICK_THROUGH_DUA","SIGNED_DUA","EXTERNAL_DUA"]}},{"name":"description","in":"query","description":"The description of the deposit.","required":false,"schema":{"type":"string"}},{"name":"doi","in":"query","description":"The Digital Object Identifier (DOI) of the deposit.","required":false,"schema":{"type":"string"}},{"name":"isIdenticalTo","in":"query","description":"DOI indicates that Archive A is identical to B, used to register two separate instances of the same resource.","required":false,"schema":{"type":"string"}},{"name":"isObsoletedBy","in":"query","description":"DOI indicates A is replaced by B.","required":false,"schema":{"type":"string"}},{"name":"languageId","in":"query","description":"The language identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"licenseId","in":"query","description":"The license identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"metadataVersion","in":"query","description":"The metadata version of the deposit.","required":false,"schema":{"type":"string","enum":["1.0","1.1","2.0","2.1","3.0","3.1","4.0","5.0"]}},{"name":"organizationalUnitId","in":"query","description":"The organizational unit identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"preparationId","in":"query","description":"The preparation identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"preservationPolicyId","in":"query","description":"The preservation policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"publicationDate","in":"query","description":"The publication date of the deposit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"sipId","in":"query","description":"The generated SIP identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"status","in":"query","description":"The status of the deposit.","required":false,"schema":{"type":"string","enum":["APPROVED","CHECKED","CLEANED","CLEANING","COMPLETED","DELETING","IN_ERROR","IN_PROGRESS","IN_VALIDATION","REJECTED","SUBMITTED","EDITING_METADATA","UPGRADING_METADATA","CHECKING_COMPLIANCE","CHECKING_COMPLIANCE_CLEANED","COMPLIANCE_ERROR","CANCEL_EDITING_METADATA","EDITING_METADATA_REJECTED","SUBMISSION_AGREEMENT_APPROVED","RELOADING"]}},{"name":"statusMessage","in":"query","description":"The detailed message related to the deposit status.","required":false,"schema":{"type":"string"}},{"name":"submissionPolicyId","in":"query","description":"The submission policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"title","in":"query","description":"The title of the deposit.","required":false,"schema":{"type":"string"}},{"name":"lightVersion","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDeposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deposit"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/submission-agreements":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubmissionAgreement"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submission-agreements_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/subject-areas":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubjectArea"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_subject-areas_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/licenses":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionLicense"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/License"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_licenses_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_list","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/{id}/validate":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_validate","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/{id}/resume":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/validate":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_validate","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/resume":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/resume-all":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_resume-all_resumeList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/data/delete-folder":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_data_delete-folder","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/contributors":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPerson"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Person"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_contributors_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{parentid}/aip":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_aip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/upload":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_upload","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"category","in":"query","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"folder","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadataType","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumMd5","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumMd5Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha1","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha1Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha256","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha256Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha512","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumSha512Origin","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumCrc32","in":"query","required":false,"schema":{"type":"string"}},{"name":"checksumCrc32Origin","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/upload-metadata":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_upload-metadata","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepositDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/upload-archive":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_upload-archive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"category","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"type","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"metadataType","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DepositDataFile"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/submit-for-approval":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_submit-for-approval","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/start-metadata-upgrade":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_start-metadata-upgrade_putInMetadataUpgrading","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/start-metadata-editing":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_start-metadata-editing_putInMetadataEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/reserve-doi":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_reserve-doi","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/reject":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_reject","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"reason","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/put-in-error":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_put-in-error","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/generate-anonymized-deposit-page":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_generate-anonymized-deposit-page","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/enable-revision":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_enable-revision","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/clean":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_clean","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/check-submission-agreement":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_check-submission-agreement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/check-compliance":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_check-compliance","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/cancel-metadata-editing":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_cancel-metadata-editing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/approve":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_approve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/{id}/approve-submission-agreement":{"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_by_id_approve-submission-agreement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preingest/deposits/search":{"get":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_search_advancedSearch_get","parameters":[{"name":"access","in":"query","description":"The access level of the deposit.","required":false,"schema":{"type":"string","enum":["PUBLIC","RESTRICTED","CLOSED"]}},{"name":"additionalFieldsFormId","in":"query","description":"The additional fields form ID used to generate the additional fields values.","required":false,"schema":{"type":"string"}},{"name":"additionalFieldsValues","in":"query","description":"Some eventual additional fields values generated through an additional fields form.","required":false,"schema":{"type":"string"}},{"name":"archiveTypeId","in":"query","description":"The archive type identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"ark","in":"query","description":"The ARK Identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"collectionBegin","in":"query","description":"The start date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"collectionEnd","in":"query","description":"The end date of the deposit for collecting data.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"containsUpdatedMetadata","in":"query","description":"If the package contains updated metadata.","required":false,"schema":{"type":"boolean"}},{"name":"contentStructurePublic","in":"query","description":"If the archive structure content is public.","required":false,"schema":{"type":"boolean"}},{"name":"dataSensitivity","in":"query","description":"The data sensitivity of the deposit.","required":false,"schema":{"type":"string","enum":["UNDEFINED","BLUE","GREEN","YELLOW","ORANGE","RED","CRIMSON"]}},{"name":"dataUsePolicy","in":"query","description":"The data use policy of the deposit.","required":false,"schema":{"type":"string","enum":["NONE","LICENSE","CLICK_THROUGH_DUA","SIGNED_DUA","EXTERNAL_DUA"]}},{"name":"description","in":"query","description":"The description of the deposit.","required":false,"schema":{"type":"string"}},{"name":"doi","in":"query","description":"The Digital Object Identifier (DOI) of the deposit.","required":false,"schema":{"type":"string"}},{"name":"isIdenticalTo","in":"query","description":"DOI indicates that Archive A is identical to B, used to register two separate instances of the same resource.","required":false,"schema":{"type":"string"}},{"name":"isObsoletedBy","in":"query","description":"DOI indicates A is replaced by B.","required":false,"schema":{"type":"string"}},{"name":"languageId","in":"query","description":"The language identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"licenseId","in":"query","description":"The license identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadataVersion","in":"query","description":"The metadata version of the deposit.","required":false,"schema":{"type":"string","enum":["1.0","1.1","2.0","2.1","3.0","3.1","4.0","5.0"]}},{"name":"organizationalUnitId","in":"query","description":"The organizational unit identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"preparationId","in":"query","description":"The preparation identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"preservationPolicyId","in":"query","description":"The preservation policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"publicationDate","in":"query","description":"The publication date of the deposit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"sipId","in":"query","description":"The generated SIP identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"status","in":"query","description":"The status of the deposit.","required":false,"schema":{"type":"string","enum":["APPROVED","CHECKED","CLEANED","CLEANING","COMPLETED","DELETING","IN_ERROR","IN_PROGRESS","IN_VALIDATION","REJECTED","SUBMITTED","EDITING_METADATA","UPGRADING_METADATA","CHECKING_COMPLIANCE","CHECKING_COMPLIANCE_CLEANED","COMPLIANCE_ERROR","CANCEL_EDITING_METADATA","EDITING_METADATA_REJECTED","SUBMISSION_AGREEMENT_APPROVED","RELOADING"]}},{"name":"statusMessage","in":"query","description":"The detailed message related to the deposit status.","required":false,"schema":{"type":"string"}},{"name":"submissionPolicyId","in":"query","description":"The submission policy identifier of the deposit.","required":false,"schema":{"type":"string"}},{"name":"title","in":"query","description":"The title of the deposit.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDeposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preingest/deposits"],"operationId":"preingest_deposits_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deposit"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDeposit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-sets":{"get":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAISet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-sets/search":{"get":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAISet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-provider/oai":{"get":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_process","parameters":[{"name":"verb","in":"query","required":false,"schema":{"type":"string"}},{"name":"identifier","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadataPrefix","in":"query","required":false,"schema":{"type":"string"}},{"name":"from","in":"query","required":false,"schema":{"type":"string"}},{"name":"until","in":"query","required":false,"schema":{"type":"string"}},{"name":"set","in":"query","required":false,"schema":{"type":"string"}},{"name":"resumptionToken","in":"query","required":false,"schema":{"type":"string"}},{"name":"smartView","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}},"post":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_processPost","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oai-info/oai-metadata-prefixes":{"get":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-metadata-prefixes/search":{"get":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_list","parameters":[{"name":"aipId","in":"query","description":"The generated AIP identifier of the SIP.","required":false,"schema":{"type":"string"}},{"name":"depositId","in":"query","description":"The source deposit identifier of the SIP.","required":false,"schema":{"type":"string"}},{"name":"dispositionApproval","in":"query","description":"If the approval step the AIP disposal is mandatory.","required":false,"schema":{"type":"boolean"}},{"name":"mainStorage","in":"query","description":"The main storage indice in configuration if the SIP. O means default storage (first one).","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"publicationDate","in":"query","description":"The publication date of the deposit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the AIP: O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"submissionPolicyId","in":"query","description":"The submission policy identifier of the SIP.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_list","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/{id}/resume":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/data/{id}/put-in-error":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_data_by_id_put-in-error","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{parentid}/aip":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_list","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_aip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/upload":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_upload_sendFile","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/start-metadata-upgrade":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_start-metadata-upgrade_putInMetadataUpgrading","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/start-metadata-editing":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_start-metadata-editing_putInMetadataEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/resume":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_resume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/resubmit":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_resubmit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/put-in-error":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_put-in-error","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/{id}/clean":{"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_by_id_clean","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/ingest/sip/search":{"get":{"tags":["ingest/sip"],"operationId":"ingest_sip_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["ingest/sip"],"operationId":"ingest_sip_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/index/settings":{"get":{"tags":["index/settings"],"operationId":"index_settings_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexProperties"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["index/settings"],"operationId":"index_settings_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexProperties"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IndexProperties"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["index/settings"],"operationId":"index_settings_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/index/index-field-aliases":{"get":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexFieldAlias"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/index/index-field-aliases/search":{"get":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexFieldAlias"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/public-di":{"get":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/public-di/search":{"get":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/public-di/delete-by-query":{"post":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_delete-by-query","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/private-di":{"get":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/private-di/search":{"get":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/private-di/delete-by-query":{"post":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_delete-by-query","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/di":{"get":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_list","parameters":[{"name":"index","in":"query","description":"Name of the index","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/di/search":{"get":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/di/delete-by-query":{"post":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_delete-by-query","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/archive-public-data":{"get":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/archive-public-data/{id}/upload-dataset-file":{"post":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_by_id_upload-dataset-file","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"mimeType","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/archive-public-data/search":{"get":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users":{"get":{"tags":["admin/users"],"operationId":"admin_users_list","parameters":[{"name":"disabled","in":"query","description":"If the user is diabled.","required":false,"schema":{"type":"boolean"}},{"name":"email","in":"query","description":"The email of the user.","required":false,"schema":{"type":"string"}},{"name":"externalUid","in":"query","description":"The external UID of the user.","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"The first name of the user.","required":false,"schema":{"type":"string"}},{"name":"homeOrganization","in":"query","description":"The home organization of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginIpAddress","in":"query","description":"The IP address from last login of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginTime","in":"query","description":"The date of the user last login.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"lastName","in":"query","description":"The last name of the user.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/users"],"operationId":"admin_users_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/User"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/users"],"operationId":"admin_users_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/synchronize":{"post":{"tags":["admin/users"],"operationId":"admin_users_synchronize","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/search":{"get":{"tags":["admin/users"],"operationId":"admin_users_search_advancedSearch_get","parameters":[{"name":"disabled","in":"query","description":"If the user is diabled.","required":false,"schema":{"type":"boolean"}},{"name":"email","in":"query","description":"The email of the user.","required":false,"schema":{"type":"string"}},{"name":"externalUid","in":"query","description":"The external UID of the user.","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"The first name of the user.","required":false,"schema":{"type":"string"}},{"name":"homeOrganization","in":"query","description":"The home organization of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginIpAddress","in":"query","description":"The IP address from last login of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginTime","in":"query","description":"The date of the user last login.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"lastName","in":"query","description":"The last name of the user.","required":false,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/users"],"operationId":"admin_users_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/revoke-my-tokens":{"post":{"tags":["admin/users"],"operationId":"admin_users_revoke-my-tokens","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/revoke-all-tokens/{externalUid}":{"post":{"tags":["admin/users"],"operationId":"admin_users_revoke-all-tokens_by_id_revokeAllTokens","parameters":[{"name":"externalUid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/new-user/{externalUid}":{"post":{"tags":["admin/users"],"operationId":"admin_users_new-user_by_id_createNewUser","parameters":[{"name":"externalUid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-policies":{"get":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_list","parameters":[{"name":"name","in":"query","description":"The name of the submission policy.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"submissionAgreementType","in":"query","description":"The submission agreement type of the submission policy.","required":false,"schema":{"type":"string","enum":["WITHOUT","ON_FIRST_DEPOSIT","FOR_EACH_DEPOSIT"]}},{"name":"submissionApproval","in":"query","description":"If approval step is mandatory for submitting a deposit.","required":false,"schema":{"type":"boolean"}},{"name":"timeToKeep","in":"query","description":"The time in days to keep completed deposit before purge.","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionPolicy"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-policies/search":{"get":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_search_advancedSearch_get","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the submission policy.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","
[...]
